C#
// GET /v1/b2b/sso/{organization_id}
const stytch = require('stytch');
const client = new stytch.B2BClient({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
};
const options = {
authorization: {
session_token: '${sessionToken}',
},
};
client.SSO.GetConnections(params, options)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });// GET /v1/b2b/sso/{organization_id}
package main
import (
"context"
"log"
"github.com/stytchauth/stytch-go/v18/stytch/b2b/b2bstytchapi"
"github.com/stytchauth/stytch-go/v18/stytch/b2b/sso"
"github.com/stytchauth/stytch-go/v18/stytch/methodoptions"
)
func main() {
client, err := b2bstytchapi.NewClient(
"${projectId}",
"${secret}",
)
if err != nil {
log.Fatalf("error instantiating client: %v", err)
}
params := &sso.GetConnectionsParams{
OrganizationID: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
}
options := &sso.GetConnectionsParamsOptions{
Authorization: methodoptions.Authorization{
SessionToken: "${sessionToken}",
},
}
resp, err := client.SSO.GetConnections(context.Background(), params, options)
if err != nil {
log.Fatalf("error in method call: %v", err)
}
log.Println(resp)
}
// GET /v1/b2b/sso/{organization_id}
package com.example;
import com.stytch.java.b2b.models.sso.GetConnectionsRequest;
import com.stytch.java.b2b.models.sso.GetConnectionsRequestOptions;
import com.stytch.java.b2b.StytchB2BClient;
import com.stytch.java.common.methodoptions.Authorization;
import com.stytch.java.common.StytchResult;
public class Main {
public static void main(String[] args) {
StytchB2BClient.configure("${projectId}", "${secret}");
GetConnectionsRequest params = new GetConnectionsRequest();
params.setOrganizationId("organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931");
GetConnectionsRequestOptions options = new GetConnectionsRequestOptions();
Authorization authorization = new Authorization();
authorization.setSessionToken("${sessionToken}");
options.setAuthorization(authorization);
Object result = StytchB2BClient.getSSO().getConnections(params, options);
if (result instanceof StytchResult.Success) {
System.out.println(((StytchResult.Success) result).getValue());
} else {
System.out.println(((StytchResult.Error) result).getException());
}
}
}// GET /v1/b2b/sso/{organization_id}
package com.example
import com.stytch.java.b2b.StytchB2BClient
import com.stytch.java.b2b.models.sso.GetConnectionsRequest
import com.stytch.java.b2b.models.sso.GetConnectionsRequestOptions
import com.stytch.java.common.methodoptions.Authorization
fun main() {
StytchB2BClient.configure(
projectId = "${projectId}",
secret = "${secret}",
)
when (
val result =
StytchB2BClient.sso.getConnections(
GetConnectionsRequest(
organizationId = "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
),
GetConnectionsRequestOptions(
Authorization(
sessionToken = "${sessionToken}",
),
),
)
) {
is StytchResult.Success -> println(result.value)
is StytchResult.Error -> println(result.exception)
}
}
// GET /v1/b2b/sso/{organization_id}
const stytch = require('stytch');
const client = new stytch.B2BClient({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
};
const options = {
authorization: {
session_token: '${sessionToken}',
},
};
client.sso.getConnections(params, options)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });$response = $client->sso->get_connections([
'organization_id' => 'organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931',
], [
'authorization' => ['session_token' => '${sessionToken}'],
]);# GET /v1/b2b/sso/{organization_id}
from stytch import B2BClient
from stytch.b2b.models.sso import GetConnectionsRequestOptions
from stytch.shared.method_options import Authorization
client = B2BClient(
project_id="${projectId}",
secret="${secret}",
)
resp = client.sso.get_connections(
organization_id="organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
method_options=GetConnectionsRequestOptions(
authorization=Authorization(
session_token="${sessionToken}",
),
),
)
print(resp)
# frozen_string_literal: true
# GET /v1/b2b/sso/{organization_id}
require 'stytch'
client = StytchB2B::Client.new(
project_id: "${projectId}",
secret: "${secret}"
)
resp = client.sso.get_connections(
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
method_options: StytchB2B::SSO::GetConnectionsRequestOptions.new(
authorization: Stytch::MethodOptions::Authorization.new(session_token: '${sessionToken}')
)
)
puts resp// GET /v1/b2b/sso/{organization_id}
use stytch::b2b::client::Client;
use stytch::b2b::sso::GetConnectionsRequest;
fn main() {
let client = Client::new("${projectId}", "${secret}").unwrap();
let resp = client.sso.get_connections(
GetConnectionsRequest{
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
..Default::default()
}
).await;
println!("The response is {:?}", resp);
}# GET /v1/b2b/sso/{organization_id}
curl --request GET \
--url https://test.stytch.com/v1/b2b/sso/organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931 \
-u '${projectId}:${secret}' \
-H 'Content-Type: application/json' \
-H "X-Stytch-Member-Session: ${sessionToken}"{
"request_id": "<string>",
"saml_connections": [
{
"organization_id": "<string>",
"connection_id": "<string>",
"status": "<string>",
"idp_entity_id": "<string>",
"display_name": "<string>",
"idp_sso_url": "<string>",
"acs_url": "<string>",
"audience_uri": "<string>",
"signing_certificates": [
{
"certificate_id": "<string>",
"certificate": "<string>",
"issuer": "<string>",
"created_at": "<string>",
"expires_at": "<string>",
"updated_at": "<string>"
}
],
"verification_certificates": [
{
"certificate_id": "<string>",
"certificate": "<string>",
"issuer": "<string>",
"created_at": "<string>",
"expires_at": "<string>",
"updated_at": "<string>"
}
],
"encryption_private_keys": [
{
"private_key_id": "<string>",
"private_key": "<string>",
"created_at": "<string>"
}
],
"saml_connection_implicit_role_assignments": [
{
"role_id": "<string>"
}
],
"saml_group_implicit_role_assignments": [
{
"role_id": "<string>",
"group": "<string>"
}
],
"alternative_audience_uri": "<string>",
"identity_provider": "<string>",
"nameid_format": "<string>",
"alternative_acs_url": "<string>",
"idp_initiated_auth_disabled": true,
"allow_gateway_callback": true,
"attribute_mapping": {}
}
],
"oidc_connections": [
{
"organization_id": "<string>",
"connection_id": "<string>",
"status": "<string>",
"display_name": "<string>",
"redirect_url": "<string>",
"client_id": "<string>",
"client_secret": "<string>",
"issuer": "<string>",
"authorization_url": "<string>",
"token_url": "<string>",
"userinfo_url": "<string>",
"jwks_url": "<string>",
"identity_provider": "<string>",
"custom_scopes": "<string>",
"attribute_mapping": {}
}
],
"external_connections": [
{
"organization_id": "<string>",
"connection_id": "<string>",
"external_organization_id": "<string>",
"external_connection_id": "<string>",
"display_name": "<string>",
"status": "<string>",
"external_connection_implicit_role_assignments": [
{
"role_id": "<string>"
}
],
"external_group_implicit_role_assignments": [
{
"role_id": "<string>",
"group": "<string>"
}
]
}
],
"status_code": 123
}{
"status_code": 401,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "unauthorized_credentials",
"error_message": "Unauthorized credentials.",
"error_url": "https://stytch.com/docs/api/errors/401"
}{
"status_code": 429,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "too_many_requests",
"error_message": "Too many requests have been made.",
"error_url": "https://stytch.com/docs/api/errors/429"
}{
"status_code": 500,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "internal_server_error",
"error_message": "Oops, something seems to have gone wrong, please reach out to support@stytch.com to let us know what went wrong.",
"error_url": "https://stytch.com/docs/api/errors/500"
}Shared
Get SSO Connections
Retrieve all SSO Connections for an organization
GET
/
v1
/
b2b
/
sso
/
{organization_id}
C#
// GET /v1/b2b/sso/{organization_id}
const stytch = require('stytch');
const client = new stytch.B2BClient({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
};
const options = {
authorization: {
session_token: '${sessionToken}',
},
};
client.SSO.GetConnections(params, options)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });// GET /v1/b2b/sso/{organization_id}
package main
import (
"context"
"log"
"github.com/stytchauth/stytch-go/v18/stytch/b2b/b2bstytchapi"
"github.com/stytchauth/stytch-go/v18/stytch/b2b/sso"
"github.com/stytchauth/stytch-go/v18/stytch/methodoptions"
)
func main() {
client, err := b2bstytchapi.NewClient(
"${projectId}",
"${secret}",
)
if err != nil {
log.Fatalf("error instantiating client: %v", err)
}
params := &sso.GetConnectionsParams{
OrganizationID: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
}
options := &sso.GetConnectionsParamsOptions{
Authorization: methodoptions.Authorization{
SessionToken: "${sessionToken}",
},
}
resp, err := client.SSO.GetConnections(context.Background(), params, options)
if err != nil {
log.Fatalf("error in method call: %v", err)
}
log.Println(resp)
}
// GET /v1/b2b/sso/{organization_id}
package com.example;
import com.stytch.java.b2b.models.sso.GetConnectionsRequest;
import com.stytch.java.b2b.models.sso.GetConnectionsRequestOptions;
import com.stytch.java.b2b.StytchB2BClient;
import com.stytch.java.common.methodoptions.Authorization;
import com.stytch.java.common.StytchResult;
public class Main {
public static void main(String[] args) {
StytchB2BClient.configure("${projectId}", "${secret}");
GetConnectionsRequest params = new GetConnectionsRequest();
params.setOrganizationId("organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931");
GetConnectionsRequestOptions options = new GetConnectionsRequestOptions();
Authorization authorization = new Authorization();
authorization.setSessionToken("${sessionToken}");
options.setAuthorization(authorization);
Object result = StytchB2BClient.getSSO().getConnections(params, options);
if (result instanceof StytchResult.Success) {
System.out.println(((StytchResult.Success) result).getValue());
} else {
System.out.println(((StytchResult.Error) result).getException());
}
}
}// GET /v1/b2b/sso/{organization_id}
package com.example
import com.stytch.java.b2b.StytchB2BClient
import com.stytch.java.b2b.models.sso.GetConnectionsRequest
import com.stytch.java.b2b.models.sso.GetConnectionsRequestOptions
import com.stytch.java.common.methodoptions.Authorization
fun main() {
StytchB2BClient.configure(
projectId = "${projectId}",
secret = "${secret}",
)
when (
val result =
StytchB2BClient.sso.getConnections(
GetConnectionsRequest(
organizationId = "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
),
GetConnectionsRequestOptions(
Authorization(
sessionToken = "${sessionToken}",
),
),
)
) {
is StytchResult.Success -> println(result.value)
is StytchResult.Error -> println(result.exception)
}
}
// GET /v1/b2b/sso/{organization_id}
const stytch = require('stytch');
const client = new stytch.B2BClient({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
};
const options = {
authorization: {
session_token: '${sessionToken}',
},
};
client.sso.getConnections(params, options)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });$response = $client->sso->get_connections([
'organization_id' => 'organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931',
], [
'authorization' => ['session_token' => '${sessionToken}'],
]);# GET /v1/b2b/sso/{organization_id}
from stytch import B2BClient
from stytch.b2b.models.sso import GetConnectionsRequestOptions
from stytch.shared.method_options import Authorization
client = B2BClient(
project_id="${projectId}",
secret="${secret}",
)
resp = client.sso.get_connections(
organization_id="organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
method_options=GetConnectionsRequestOptions(
authorization=Authorization(
session_token="${sessionToken}",
),
),
)
print(resp)
# frozen_string_literal: true
# GET /v1/b2b/sso/{organization_id}
require 'stytch'
client = StytchB2B::Client.new(
project_id: "${projectId}",
secret: "${secret}"
)
resp = client.sso.get_connections(
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
method_options: StytchB2B::SSO::GetConnectionsRequestOptions.new(
authorization: Stytch::MethodOptions::Authorization.new(session_token: '${sessionToken}')
)
)
puts resp// GET /v1/b2b/sso/{organization_id}
use stytch::b2b::client::Client;
use stytch::b2b::sso::GetConnectionsRequest;
fn main() {
let client = Client::new("${projectId}", "${secret}").unwrap();
let resp = client.sso.get_connections(
GetConnectionsRequest{
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
..Default::default()
}
).await;
println!("The response is {:?}", resp);
}# GET /v1/b2b/sso/{organization_id}
curl --request GET \
--url https://test.stytch.com/v1/b2b/sso/organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931 \
-u '${projectId}:${secret}' \
-H 'Content-Type: application/json' \
-H "X-Stytch-Member-Session: ${sessionToken}"{
"request_id": "<string>",
"saml_connections": [
{
"organization_id": "<string>",
"connection_id": "<string>",
"status": "<string>",
"idp_entity_id": "<string>",
"display_name": "<string>",
"idp_sso_url": "<string>",
"acs_url": "<string>",
"audience_uri": "<string>",
"signing_certificates": [
{
"certificate_id": "<string>",
"certificate": "<string>",
"issuer": "<string>",
"created_at": "<string>",
"expires_at": "<string>",
"updated_at": "<string>"
}
],
"verification_certificates": [
{
"certificate_id": "<string>",
"certificate": "<string>",
"issuer": "<string>",
"created_at": "<string>",
"expires_at": "<string>",
"updated_at": "<string>"
}
],
"encryption_private_keys": [
{
"private_key_id": "<string>",
"private_key": "<string>",
"created_at": "<string>"
}
],
"saml_connection_implicit_role_assignments": [
{
"role_id": "<string>"
}
],
"saml_group_implicit_role_assignments": [
{
"role_id": "<string>",
"group": "<string>"
}
],
"alternative_audience_uri": "<string>",
"identity_provider": "<string>",
"nameid_format": "<string>",
"alternative_acs_url": "<string>",
"idp_initiated_auth_disabled": true,
"allow_gateway_callback": true,
"attribute_mapping": {}
}
],
"oidc_connections": [
{
"organization_id": "<string>",
"connection_id": "<string>",
"status": "<string>",
"display_name": "<string>",
"redirect_url": "<string>",
"client_id": "<string>",
"client_secret": "<string>",
"issuer": "<string>",
"authorization_url": "<string>",
"token_url": "<string>",
"userinfo_url": "<string>",
"jwks_url": "<string>",
"identity_provider": "<string>",
"custom_scopes": "<string>",
"attribute_mapping": {}
}
],
"external_connections": [
{
"organization_id": "<string>",
"connection_id": "<string>",
"external_organization_id": "<string>",
"external_connection_id": "<string>",
"display_name": "<string>",
"status": "<string>",
"external_connection_implicit_role_assignments": [
{
"role_id": "<string>"
}
],
"external_group_implicit_role_assignments": [
{
"role_id": "<string>",
"group": "<string>"
}
]
}
],
"status_code": 123
}{
"status_code": 401,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "unauthorized_credentials",
"error_message": "Unauthorized credentials.",
"error_url": "https://stytch.com/docs/api/errors/401"
}{
"status_code": 429,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "too_many_requests",
"error_message": "Too many requests have been made.",
"error_url": "https://stytch.com/docs/api/errors/429"
}{
"status_code": 500,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "internal_server_error",
"error_message": "Oops, something seems to have gone wrong, please reach out to support@stytch.com to let us know what went wrong.",
"error_url": "https://stytch.com/docs/api/errors/500"
}RBAC Enforced APIIf a Member Session is passed in the Authorization headers, Stytch will enforce that the Member has permission to take the Action on the Resource prior to honoring the request.To learn more, see the RBAC guide.
Authorizations
Headers
Path Parameters
Response
Successful response
The list of SAML Connections owned by this organization.
Show child attributes
Show child attributes
The list of OIDC Connections owned by this organization.
Show child attributes
Show child attributes
The list of External Connections owned by this organization.
Show child attributes
Show child attributes